## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

Name:           python-dkimpy
Version:        1.1.8
Release:        %autorelease
Summary:        DKIM, ARC, and TLSRPT email signing and verification

License:        Zlib
URL:            https://launchpad.net/dkimpy
Source:         %{pypi_source dkimpy}

BuildArch:      noarch
BuildRequires:  python3-devel
%if %{with tests}
BuildRequires:  openssl
%endif

%global _description %{expand:
dkimpy is a library that implements DKIM (DomainKeys Identified Mail)
email signing and verification.}

%description %_description

%package -n     python3-dkimpy
Summary:        %{summary}

%description -n python3-dkimpy %_description

%pyproject_extras_subpkg -n python3-dkimpy ARC,asyncio,ed25519


%prep
%autosetup -p1 -n dkimpy-%{version}

# Drop shebang for these files, as we don't need them
sed -e "s|^#!/usr/bin/.*python$||" -i dkim/{arcsign.py,arcverify.py,dkimsign.py,dkimverify.py,dknewkey.py}


%generate_buildrequires
%pyproject_buildrequires -x ARC,asyncio,ed25519,testing


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files -l dkim


%check
%pyproject_check_import
%if %{with tests}
%{py3_test_envvars} %{python3} -m unittest -v
%endif


%files -n python3-dkimpy -f %{pyproject_files}
%doc ChangeLog README.md
%{_bindir}/arcsign
%{_bindir}/arcverify
%{_bindir}/dkimsign
%{_bindir}/dkimverify
%{_bindir}/dknewkey
%{_mandir}/man1/arcsign.1*
%{_mandir}/man1/arcverify.1*
%{_mandir}/man1/dkimsign.1*
%{_mandir}/man1/dkimverify.1*
%{_mandir}/man1/dknewkey.1*


%changelog
## START: Generated by rpmautospec
* Thu Dec 05 2024 Michel Lind <salimma@fedoraproject.org> - 1.1.8-1
- Update to 1.1.8 upstream release
- Add conditional BR on openssl to run some tests
- Remove unneeded `upstream_project_url` from packit.yaml

* Wed Dec 04 2024 Michel Lind <salimma@fedoraproject.org> - 1.0.6-1
- Update to version 1.0.6
- Modernize to follow the latest Python packaging guidelines
- Generate extras subpackages
- Enable import checks
- Run unit tests
- Use proper SPDX license identifier (zlib -> Zlib)
- Enable Packit for future Rawhide updates

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1.0.5-13
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.0.5-9
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 1.0.5-6
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.0.5-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Oct 12 2020 Neal Gompa <ngompa13@gmail.com> - 1.0.5-1
- Initial package.

## END: Generated by rpmautospec
